Inactive [DEV] SpoutPlugin - Unleash the flow of endless possibilities [1.0-1.3.2]

Discussion in 'Inactive/Unsupported Plugins' started by SpoutDev, Aug 1, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    SpoutDev

    In order to centralize support of our legacy projects, we will no longer be providing support on Bukkit. Please use www.spout.org for support with our projects going forward.
     
  2. Offline

    greyjester

    ok every time i log into my server it gives me a [INFO] Unknown packet 56. skipping contents.

    now i have the lastest spout plugin for my server why am i getting this error
     
  3. Offline

    linkysoda

    greyjester

    I got the same thing too, except it only worked once until I reloaded via console and I logged in with build 1107, then I started spazzing out in 1 spot with no ability to move. It said the same thing about packet 56. I'm using build 721 for Spout plugin, unless I shouldn't be using that as a server plugin at all.
     
  4. Offline

    Windwaker

    The "latest SpoutPlugin" doesn't help much, do you have the latest dev version, or the latest RB? If so post the actual build number, also, post the entire error log.


    Spout does not support the reload command: http://spout.in/reload
     
  5. Offline

    greyjester

    ok i have the latest craftbukkit build craftbukkit-1.1 R3 and this is the error i am getting

    [Spout] Successfully authenticated greyjester's Spoutcraft client. Running client version: 1107
    2012-02-02 08:15:18 [INFO] Failed to identify packet id: 56
    2012-02-02 08:15:18 [INFO] Unknown packet 56. Skipping contents.
    2012-02-02 08:18:07 [INFO] Failed to identify packet id: 56
    2012-02-02 08:18:07 [INFO] Unknown packet 56. Skipping contents.
     
  6. Offline

    AnonyMouse

    what it his AllowSkyCheat: false in the spout config?
     
  7. Offline

    Wulfspider

    I think that's actually not used anymore. May have just been forgotten about.
     
  8. Offline

    Schlumpf

    Hello, I am getting this error when I use the command /reload.
    Code:
    2012-02-03 14:10:30 [INFO] [Spout] Unloading Spout v721.
    2012-02-03 14:10:30 [INFO] Spout 721 has been disabled
    2012-02-03 14:10:30 [INFO] [Spout] Loading Spout v721.
    2012-02-03 14:10:30 [SEVERE] java.lang.reflect.InvocationTargetException
    2012-02-03 14:10:30 [SEVERE]    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    2012-02-03 14:10:30 [SEVERE]    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    2012-02-03 14:10:30 [SEVERE]    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    2012-02-03 14:10:30 [SEVERE]    at java.lang.reflect.Method.invoke(Unknown Source)
    2012-02-03 14:10:30 [SEVERE]    at org.getspout.spout.packet.CustomPacket.addClassMapping(CustomPacket.java:140)
    2012-02-03 14:10:30 [SEVERE]    at org.getspout.spout.Spout.onEnable(Spout.java:250)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:231)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:1057)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:379)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:191)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:174)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.reload(CraftServer.java:443)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.Bukkit.reload(Bukkit.java:188)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:22)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:168)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.dispatchCommand(CraftServer.java:386)
    2012-02-03 14:10:30 [SEVERE]    at org.bukkit.craftbukkit.CraftServer.dispatchCommand(CraftServer.java:382)
    2012-02-03 14:10:30 [SEVERE]    at net.minecraft.server.MinecraftServer.b(MinecraftServer.java:574)
    2012-02-03 14:10:30 [SEVERE]    at net.minecraft.server.MinecraftServer.w(MinecraftServer.java:551)
    2012-02-03 14:10:30 [SEVERE]    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:435)
    2012-02-03 14:10:30 [SEVERE]    at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
    2012-02-03 14:10:30 [SEVERE] Caused by: java.lang.IllegalArgumentException: Duplicate packet id:195
    2012-02-03 14:10:30 [SEVERE]    at net.minecraft.server.Packet.a(Packet.java:25)
    2012-02-03 14:10:30 [SEVERE]    ... 21 more
    2012-02-03 14:10:30 [INFO] [Spout] Spout 721 has been initialized
    I am using Craftbukkit R3 and I tested it without any other Plugin!
     
  9. Offline

    Windwaker

    Spout does not support the /reload command: http://spout.in/reload
     
  10. Offline

    Schlumpf

    oh, ok thanks!
     
  11. Offline

    Wulfspider

    What build of SpoutPlugin are you using?
     
  12. Offline

    ferrybig

  13. Offline

    Windwaker

  14. Offline

    ferrybig

    does it use plugin channels, or an other way to detect if an client is using spout?

    the download link dont had an version for 1864, as far I saw

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
  15. the "1848" in the title must be misprint, as bukkit craftbukkit-1.1-R3.jar file is #1846, not 1848, but this 'misprint' seems to be repeated in the downloads page, except there is a reference to #1847 too, which makes the whole thing confusing...
     
  16. Offline

    Wulfspider

    Corrected it, thanks. For some reason I had 1848 in my head. ^_^

    There is an option in the plugin's settings to only allow Spoutcraft clients, and you can manually check using the /spout version playername command.

    The build numbers listed alongside our builds are just guidelines. You should stick close to them though being as those are the builds it built using.

    Exactl build numbers of SpoutPlugin and CraftBukkit would be useful. You're not running something matched though.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Mar 26, 2019
  17. Offline

    convictedsaint

    Get this NPE first time today, after some laggy moments.
    Using Spout plugin version 738 and CBv1846
    Code:
    01:11:16 [WARNING] Task of 'Spout' generated an exception
    java.lang.NullPointerException
            at org.getspout.spoutapi.chunkstore.PlayerTrackingManager.onWorldChange(
    PlayerTrackingManager.java:35)
            at org.getspout.spout.player.SpoutCraftPlayer.doPostPlayerChangeWorld(Sp
    outCraftPlayer.java:1248)
            at org.getspout.spout.player.SpoutCraftPlayer.onTick(SpoutCraftPlayer.ja
    va:1230)
            at org.getspout.spout.ServerTickTask.run(ServerTickTask.java:41)
            at org.bukkit.craftbukkit.scheduler.CraftScheduler.mainThreadHeartbeat(C
    raftScheduler.java:137)
            at net.minecraft.server.MinecraftServer.w(MinecraftServer.java:503)
            at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:435)
            at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
    01:11:20 [WARNING] Task of 'Spout' generated an exception
    java.lang.NullPointerException
            at org.getspout.spoutapi.chunkstore.PlayerTrackingManager.onWorldChange(
    PlayerTrackingManager.java:35)
            at org.getspout.spout.player.SpoutCraftPlayer.doPostPlayerChangeWorld(Sp
    outCraftPlayer.java:1248)
            at org.getspout.spout.player.SpoutCraftPlayer.onTick(SpoutCraftPlayer.ja
    va:1230)
            at org.getspout.spout.ServerTickTask.run(ServerTickTask.java:41)
            at org.bukkit.craftbukkit.scheduler.CraftScheduler.mainThreadHeartbeat(C
    raftScheduler.java:137)
            at net.minecraft.server.MinecraftServer.w(MinecraftServer.java:503)
            at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:435)
            at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
     
  18. Offline

    josip1

    I get this error on startup...any ideas? I don't think its a "big" worry...

    Code:
    2012-02-05 13:23:09 [SEVERE] Exception in thread "Thread-8"
    2012-02-05 13:23:09 [SEVERE] java.lang.NullPointerException
    2012-02-05 13:23:09 [SEVERE]    at org.getspout.commons.io.CRCStore.getCRC(CRCStore.java:111)
    2012-02-05 13:23:09 [SEVERE]    at org.getspout.commons.io.CRCStore$URLCheck.run(CRCStore.java:169)
    Also why does spoutcraft always ask me to update? Even when I already have?
     
  19. Offline

    ferrybig

    You configured you get the fev build, that are released 3 times a day, if its not more
     
  20. Offline

    Wulfspider

    Do you have Development builds option selected? If so, then every time there is a development build, there will be an update which is often. Same goes for Recommended builds, but less often.
     
  21. Offline

    jjp5

    hey anyone know why whenever i try to join my server (or any of my freinds) whith spout it says read time out or something like that?
    heres the log message if you need it:

    10:30:35 [SEVERE] Unexpected exception
    java.lang.NoSuchFieldError: l
    at org.getspout.spout.SpoutNetServerHandler.sendPacket(SpoutNetServerHandler.java:516)
    at net.minecraft.server.ServerConfigurationManager.sendAll(ServerConfigurationManager.java:379)
    at net.minecraft.server.ServerConfigurationManager.c(ServerConfigurationManager.java:134)
    at net.minecraft.server.NetLoginHandler.b(NetLoginHandler.java:121)
    at net.minecraft.server.NetLoginHandler.a(NetLoginHandler.java:40)
    at net.minecraft.server.NetworkListenThread.a(NetworkListenThread.java:61)
    at net.minecraft.server.MinecraftServer.w(MinecraftServer.java:536)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:434)
    at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
    10:30:39 [SEVERE] Exception in thread "Thread-11"
    10:30:39 [SEVERE] java.lang.NoSuchFieldError: l
    10:30:39 [SEVERE]at org.getspout.spout.SpoutNetServerHandler.sendPacket(SpoutNetServerHandler.java:516)
    10:30:39 [SEVERE]at org.bukkit.craftbukkit.entity.CraftPlayer.sendRawMessage(CraftPlayer.java:121)
    10:30:39 [SEVERE]at org.bukkit.craftbukkit.entity.CraftPlayer.sendMessage(CraftPlayer.java:125)
    10:30:39 [SEVERE]at org.bukkit.craftbukkit.CraftServer.broadcast(CraftServer.java:829)
    10:30:39 [SEVERE]at org.bukkit.craftbukkit.CraftServer.broadcastMessage(CraftServer.java:263)
    10:30:39 [SEVERE]at uk.co.mdtechnology.automessage.SendMessage.run(SendMessage.java:45)
    10:30:39 [SEVERE]at java.lang.Thread.run(Thread.java:680)
    >

    k see if i can figure that out cause i dont know how...

    heres the full name of the craftbukkit version that i downloaded: craftbukkit-1.1-R4-20120205.185149-38.jar

    and i just got spoutcraft latest version so im guessing it would be
    Spoutcraft build 1108

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Dec 28, 2018
  22. Offline

    jjp5

    i just downlaoded the spoutcraft plugin (didnt say wich version so i dont know) and using the latest bukkit build (for minecraft 1.1) if you must know , or do i not understand you?
     
  23. Offline

    Wulfspider

    Exact builds would still be useful. You can check in the server console with version and spout.
     
  24. Offline

    jjp5

    i was using craftbukkit 1.1 R4 if that helps helps and spoutcraft version 2.1
     
  25. Offline

    Wulfspider

    Exact build number of CraftBukkit 1.1-R4 would be better, being as there are piles of them. There is also no Spoutcraft version 2.1, and the build number of SpoutPlugin is what I need to know.
     
  26. Offline

    V10lator

    //EDIT: Too late...
     
  27. Offline

    Wulfspider

    You're still giving me the Spoutcraft build, I need the SpoutPlugin build number from using the spout command in the server console. You can get the exacty CraftBukkit build number from using the version command like I said before as well.
     
  28. Offline

    Silvo

    The launcher never worked for me.
    And manual instaliation has changed.
    All I know to manual install I need those files https://github.com/SpoutDev/Spoutcraft/tree/master/lib and merge them into my minecraft.jar along with spoutcraft.jar (which one?? the one provided by the spout site? ) .. then delete the META-INF folder ( again... which one? The one you get when you extract the 7 files from github, the one you get when you extract the content of spoutcraft.jar, both or the one in minecraft.jar.. and then what if you are using a texture replacer and your minecraft.jar doesn't have a META-INF folder).
    .
    .
    if someone has been succesfull in manual installing spoutcraft please PM me.
     
  29. Offline

    Wulfspider

    If you tell us how it didn't work, then we can fix it. If you don't tell us, then we can't fix it. Does it not work because you haven't paid for Minecraft? Either way, manual installs are unsupported.
     
  30. Offline

    Silvo

    What has this to do with paying for minecraft anyway? I've payed for minecraft long ago or must I pay now again because of spoutcraft? I've installed spoutcraft in the past by just merging spoutcraft.jar with my minecraft.jar and deleting the META-INV folder is there still was one in minecraft.jar. Now things just don't work anymore. As for MC1.1 the installer doesn't crash for me anymore when attempting to update but when attempting to log into my server I get just some socket exception error (random number here). And it happens everytime when I use the installer to update spoutcraft. As for now only without spoutcraft I can log into my server.

    And why do I get nagged EVERYTIME I ask ANYBODY about helping me out on the topic spoutcraft if I have payed for minecraft/have a premium account. As far Slovenian servers go it doesn't seem to me like non premium users can't use spoutcraft so why I am continually asked about this?
     
  31. Offline

    jjp5

    the spout version that im using is 605
     
Thread Status:
Not open for further replies.

Share This Page